---
apiVersion: kubeadm.k8s.io/v1beta3
kind: ClusterConfiguration
kubernetesVersion: stable
controlPlaneEndpoint: "192.168.1.2:6443"
etcd:
  external:
    endpoints:
      - https://192.168.1.2:2379 # change ETCD_0_IP appropriately
      - https://192.168.1.11:2379 # change ETCD_1_IP appropriately
      - https://192.168.1.111:2379 # change ETCD_2_IP appropriately
    caFile: /etc/kubernetes/pki/etcd/ca.crt
    certFile: /etc/kubernetes/pki/apiserver-etcd-client.crt
    keyFile: /etc/kubernetes/pki/apiserver-etcd-client.key
